<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Backpack Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html">Backpack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_backpack-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Backpack Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html" title="Class for the Backpack, It&#39;s an portable inventory, who can be held by a character during is adventur...">Backpack</a>, It's an portable inventory, who can be held by a character during is adventure.  
 <a href="class_he___arc_1_1_r_p_g_1_1_backpack.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_backpack_8hpp_source.html">Backpack.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3dab42e336c1bdc37352faabe93072da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a3dab42e336c1bdc37352faabe93072da">Pack</a> (shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt; pObject)</td></tr>
<tr class="memdesc:a3dab42e336c1bdc37352faabe93072da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an object to the backpack.  <a href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a3dab42e336c1bdc37352faabe93072da">More...</a><br /></td></tr>
<tr class="separator:a3dab42e336c1bdc37352faabe93072da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67982681c201ec279aeed7eb278115f8"><td class="memItemLeft" align="right" valign="top">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a67982681c201ec279aeed7eb278115f8">UnPack</a> ()</td></tr>
<tr class="memdesc:a67982681c201ec279aeed7eb278115f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the topside object of the backpack.  <a href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a67982681c201ec279aeed7eb278115f8">More...</a><br /></td></tr>
<tr class="separator:a67982681c201ec279aeed7eb278115f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c5915ca3a0090b94f98834d0c7d4f97"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a4c5915ca3a0090b94f98834d0c7d4f97">IsNotEmpty</a> () const</td></tr>
<tr class="memdesc:a4c5915ca3a0090b94f98834d0c7d4f97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the backpack contains object ?  <a href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a4c5915ca3a0090b94f98834d0c7d4f97">More...</a><br /></td></tr>
<tr class="separator:a4c5915ca3a0090b94f98834d0c7d4f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html" title="Class for the Backpack, It&#39;s an portable inventory, who can be held by a character during is adventur...">Backpack</a>, It's an portable inventory, who can be held by a character during is adventure. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4c5915ca3a0090b94f98834d0c7d4f97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c5915ca3a0090b94f98834d0c7d4f97">&#9670;&nbsp;</a></span>IsNotEmpty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Backpack::IsNotEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Is the backpack contains object ? </p>
<dl class="section return"><dt>Returns</dt><dd>true The backpack still has object(s) </dd>
<dd>
false The backpack is empty </dd></dl>

</div>
</div>
<a id="a3dab42e336c1bdc37352faabe93072da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dab42e336c1bdc37352faabe93072da">&#9670;&nbsp;</a></span>Pack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Backpack::Pack </td>
          <td>(</td>
          <td class="paramtype">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt;&#160;</td>
          <td class="paramname"><em>pObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add an object to the backpack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pObject</td><td>Object to add in the backpack </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a67982681c201ec279aeed7eb278115f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67982681c201ec279aeed7eb278115f8">&#9670;&nbsp;</a></span>UnPack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt; Backpack::UnPack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove the topside object of the backpack. </p>
<dl class="section return"><dt>Returns</dt><dd>shared_ptr&lt;IObject&gt; Object removed from the backpack If no object has been unpacked, return nullptr </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/<a class="el" href="_backpack_8hpp_source.html">Backpack.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/<a class="el" href="_backpack_8cpp.html">Backpack.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
